<p align="center">
  <a href="https://docs.page/invertase/new-react-native-google-mobile-ads">
    <img width="160px" src="./docs/img/logo_admob_192px.svg"><br/>
  </a>
  <h2 align="center">React Native Google Mobile Ads</h2>
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/new-react-native-google-mobile-ads"><img src="https://img.shields.io/npm/dm/new-react-native-google-mobile-ads.svg?style=flat-square" alt="NPM downloads"></a>
  <a href="https://www.npmjs.com/package/new-react-native-google-mobile-ads"><img src="https://img.shields.io/npm/v/new-react-native-google-mobile-ads.svg?style=flat-square" alt="NPM version"></a>
  <a href="/LICENSE"><img src="https://img.shields.io/npm/l/new-react-native-google-mobile-ads.svg?style=flat-square" alt="License"></a>
</p>

<p align="center">
  <a href="https://invertase.link/discord"><img src="https://img.shields.io/discord/295953187817521152.svg?style=flat-square&colorA=7289da&label=Chat%20on%20Discord" alt="Chat on Discord"></a>
  <a href="https://twitter.com/invertaseio"><img src="https://img.shields.io/twitter/follow/invertaseio.svg?style=flat-square&colorA=1da1f2&colorB=&label=Follow%20on%20Twitter" alt="Follow on Twitter"></a>
  <a href="https://www.facebook.com/groups/invertase.io"><img src="https://img.shields.io/badge/Follow%20on%20Facebook-4172B8?logo=facebook&style=flat-square&logoColor=fff" alt="Follow on Facebook"></a>
</p>

---

**React Native Google Mobile Ads** allows you to monetize your app with AdMob; a React Native wrapper around the native Google-Mobile-Ads SDKs for both iOS and Android.

React Native Google Mobile Ads is built with three key principals in mind;

- 🧪 **Well tested**
  - the module is extensively tested to >95% coverage (getting there after moving from react-native-firebase!)
- 👁 **Well typed**
  - first class support for Typescript included
- 📄 **Well documented**
  - full reference & installation documentation alongside detailed guides and FAQs

## Migrating to the New Architecture Status (backwards compatible)
This package can be used in both The Old and [The New Architecture](https://reactnative.dev/docs/the-new-architecture/landing-page).
When using The New Architecture, some legacy code will still be used though. See status below:

- **iOS**
  - Mobile Ads SDK Methods (Turbo Native Module) 🟢🟢🟢🟢
  - Banners (Fabric Native Component) 🟢🟢🟢🟢
  - Full Screen Ads (Turbo Native Module) ⚪⚪⚪⚪
  - User Messaging Platform (Turbo Native Module) ⚪⚪⚪⚪
- **Android**
  - Mobile Ads SDK Methods (Turbo Native Module) ⚪⚪⚪⚪
  - Banners (Fabric Native Component) ⚪⚪⚪⚪
  - Full Screen Ads (Turbo Native Module) ⚪⚪⚪⚪
  - User Messaging Platform (Turbo Native Module) ⚪⚪⚪⚪

## Documentation

- [Installation](https://docs.page/invertase/new-react-native-google-mobile-ads)
- [Displaying Ads](https://docs.page/invertase/new-react-native-google-mobile-ads/displaying-ads)

## Contributing

- [Issues](https://github.com/invertase/new-react-native-google-mobile-ads/issues)
- [PRs](https://github.com/invertase/new-react-native-google-mobile-ads/pulls)
- [Guidelines](https://github.com/invertase/new-react-native-google-mobile-ads/blob/main/CONTRIBUTING.md)
- [Code of Conduct](https://github.com/invertase/meta/blob/main/CODE_OF_CONDUCT.md)

## License

- See [LICENSE](/LICENSE)

---

<p align="center">
  <a href="https://invertase.io/?utm_source=readme&utm_medium=footer&utm_campaign=new-react-native-google-mobile-ads">
    <img width="75px" src="https://static.invertase.io/assets/invertase/invertase-rounded-avatar.png">
  </a>
  <p align="center">
    Built and maintained by <a href="https://invertase.io/?utm_source=readme&utm_medium=footer&utm_campaign=new-react-native-google-mobile-ads">Invertase</a>.
  </p>
</p>
