export declare enum AdsConsentSpecialFeatures {
    /**
     * Your precise geolocation data can be used in support of one or more purposes.
     * This means your location can be accurate to within several meters.
     *
     * Vendors can:
     *   - Collect and process precise geolocation data in support of one or more purposes.
     *   - Precise geolocation means that there are no restrictions on the precision of
     *     a user's location; this can be accurate to within several meters.
     */
    USE_PRECISE_GEOLOCATION_DATA = 1,
    /**
     * Your device can be identified based on a scan of your device's
     * unique combination of characteristics.
     *
     * Vendors can:
     *   - Create an identifier using data collected via actively scanning a device for
     *     specific characteristics, e.g. installed fonts or screen resolution.
     *   - Use such an identifier to re-identify a device.
     */
    ACTIVELY_SCAN_DEVICE_CHARACTERISTICS_FOR_IDENTIFICATION = 2
}
//# sourceMappingURL=AdsConsentSpecialFeatures.d.ts.map